
Automated Build Generator - Feature #1669
Support Mercurial SCM
12/03/2013 05:07 PM - J. Moringen

Status: Resolved Start date: 12/03/2013
Priority: Normal Due date:
Assignee: J. Wienke % Done: 100%
Category: Project Analysis Estimated time: 0.00 hour
Target version: 0.3
Description

Associated revisions
Revision 44925c58 - 10/09/2014 02:15 PM - J. Moringen

Support mercurial DVCS in src/analysis/mercurial.lisp

fixes #1669

    -  src/analysis/mercurial.lisp: new file; contains support for the
  mercurial DVCS

    -  jenkins.project.asd (system jenkins.project): added file
  src/analysis/mercurial.lisp

Revision b0663d29 - 10/26/2015 06:12 PM - J. Moringen

Fixes for mercurial scm implementation in src/analysis/mercurial.lisp

refs #1669

    -  src/analysis/mercurial.lisp (header): updated copyright
  (analyze uri eql :mercurial): accept versions instead of branches and
  tags

Revision cba70006 - 10/26/2015 06:12 PM - J. Moringen

Guess mercurial scm in src/analysis/analysis.lisp

refs #1669

    -  src/analysis/analysis.lisp (analyze uri eql :auto): guess :mercurial
  SCM if URI contains "hg"

Revision 6f4b3017 - 10/26/2015 06:15 PM - J. Moringen

Support mercurial SCM in lib/jenkins.api/src/api/classes.lisp

refs #1669

    -  lib/jenkins.api/src/api/classes.lisp (mercurial-revision-type): new

04/09/2024 1/3



  type; either :branch or :tag
  (xml-> string eql mercurial-revision-type): new method; convert the
  type from XML
  (->xml symbol eql string eql mercurial-revision-type): new method;
  convert the type to XML
  (define-interface-implementations scm): added mercurial implementation

    -  lib/jenkins.api/src/package.lisp (package jenkins.api): added exported
  symbols scm/mercurial, credentials, revision-type, branch,
  sub-directory, clean? and modules

Revision 101b410b - 10/26/2015 06:18 PM - J. Moringen

Added mercurial aspect in src/project/aspects.lisp

fixes #1669

    -  src/project/aspects.lisp (define-aspect mercurial): new aspect;
  configures mercurial plugin

History
#1 - 12/08/2013 01:47 AM - J. Moringen
- Target version set to 0.3

#2 - 01/31/2014 06:04 PM - J. Moringen
- Category set to Project Analysis

#3 - 05/20/2014 09:35 PM - J. Moringen
- Target version changed from 0.3 to 0.4

#4 - 10/02/2014 04:44 PM - J. Moringen
- Target version changed from 0.4 to 0.3

#5 - 10/02/2014 04:46 PM - J. Moringen
- Status changed from New to Feedback
- Assignee changed from J. Moringen to J. Wienke
- Target version changed from 0.3 to 0.4
- % Done changed from 0 to 30

This can be supported in principle. However, one thing I couldn't figure out so far is how to check whether a remote repository is accessible without
actually cloning it.

#6 - 10/02/2014 04:46 PM - J. Moringen
- Target version changed from 0.4 to 0.3

#7 - 10/09/2014 02:20 PM - J. Moringen
- Status changed from Feedback to Resolved
- % Done changed from 30 to 100
Applied in changeset commit:44925c584277f9033cbe398756fa3ab128876093.
